libname library 'l:\farssas\formats\format91';
*                              ';
*      Decodes for States';
*      ------------------';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FSTATES (MIN=4 MAX=16)
    01='Alabama'
    02='Alaska'
    04='Arizona'
    05='Arkansas'
    06='California'
    08='Colorado'
    09='Connecticut'
    10='Delaware'
    11='Dist of Columbia'
    12='Florida'
    13='Georgia'
    15='Hawaii'
    16='Idaho'
    17='Illinois'
    18='Indiana'
    19='Iowa'
    20='Kansas'
    21='Kentucky'
    22='Louisiana'
    23='Maine'
    24='Maryland'
    25='Massachusetts'
    26='Michigan'
    27='Minnesota'
    28='Mississippi'
    29='Missouri'
    30='Montana'
    31='Nebraska'
    32='Nevada'
    33='New Hampshire'
    34='New Jersey'
    35='New Mexico'
    36='New York'
    37='North Carolina'
    38='North Dakota'
    39='Ohio'
    40='Oklahoma'
    41='Oregon'
    42='Pennsylvania'
    43='Puerto Rico'
    44='Rhode Island'
    45='South Carolina'
    46='South Dakota'
    47='Tennessee'
    48='Texas'
    49='Utah'
    50='Vermont'
    51='Virginia'
    53='Washington'
    54='West Virginia'
    55='Wisconsin'
    56='Wyoming'
    94='Military'
    95='Canada'
    96='Mexico'
    97='Other Country'
    99='Unknown';
*                                      ';
*  Decodes for FARS Accident Level data';
*  ------------------------------------';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FFSYS87F (MIN=7 MAX=15)
     1='Interstate'
     2='Fed-Aid Primary'
     3='Fed-Aid Urban'
     4='Fed-Aid Sec Rrl'
     5='Non-Federal Aid'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FRTSIGN (MIN=7 MAX=16)
     1='Interstate'
     2='US Highway'
     3='State Highway'
     4='County Road'
     5='Township'
     6='Municipality'
     7='Frontage Rd'
     8='Other'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FFHE82F (MIN=7 MAX=16)
    01='Overturn'
    02='Fire/Explosion'
    03='Immersion'
    04='Gas Inhalation'
    05='Fell from Veh'
    06='Injured in Veh'
    07='Other non-Coll'
    08='Pedestrian'
    09='Pedalcycle'
    10='Rail Train'
    11='Animal'
    12='Veh in Transp'
    13='Veh in Trans Oth'
    14='Parked Motor Veh'
    15='Other non-Mot'
    16='Obj Thrown/Fall'
    17='Boulder'
    18='Oth non-Fix Obj'
    19='Building'
    20='Impact Attenuatr'
    21='Bridge Pier'
    22='Bridge Parapet'
    23='Bridge Rail'
    24='Guardrail'
    25='Concrete Barrier'
    26='Other L-Barrier'
    27='Hwy Sign Post'
    28='Overhead Sign'
    29='Light Support'
    30='Utility Pole'
    31='Other Post/Pole'
    32='Culvert'
    33='Curb'
    34='Ditch'
    35='Embank-Earth'
    36='Embank-Rock'
    37='Embank-Unk'
    38='Fence'
    39='Wall'
    40='Fire Hydrant'
    41='Shrubbery'
    42='Tree'
    43='Other Fixed Obj'
    44='Pavemt Irregular'
    45='Tr Dev Use-Equip'
    46='Traf Sig Support'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FNHS94F (MIN=3 MAX=7)
     0='Not NHS'
     1='NHS'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FRFC87F (MIN=5 MAX=16)
    01='Rural-Interstate'
    02='Rural-Pr Art Oth'
    03='Rural-Min Artery'
    04='Rural-Maj Collec'
    05='Rural-Min Collec'
    06='Rural-Local Road'
    09='Unknown Rural'
    11='Urban-Interstate'
    12='Urban-Frwy/Xprwy'
    13='Urban-oth Pr Art'
    14='Urban-Minor Art'
    15='Urban-Collector'
    16='Urban-Local Str'
    19='Unknown Urban'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FCOLL (MIN=5 MAX=16)
     0='Not applicable'
     1='Rear-end'
     2='Head-on'
     3='Rear to Rear'
     4='Angle'
     5='S-Swipe:Same dir'
     6='S-Swipe:Opp dir'
     7='S-Swipe:Unk dir'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FFLOW82F (MIN=7 MAX=17)
     1='Not Divided'
     2='Median-No Barrier'
     3='Median w/Barrier'
     4='One Way Traffic'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FLIGHT (MIN=4 MAX=16)
     1='Daylight'
     2='Dark'
     3='Dark but Lighted'
     4='Dawn'
     5='Dusk'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FATM82F (MIN=4 MAX=11)
     1='Normal'
     2='Rain'
     3='Sleet'
     4='Snow'
     5='Fog'
     6='Rain & Fog'
     7='Sleet & Fog'
     8='Other'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FSURFCON (MIN=3 MAX=13)
     1='Dry'
     2='Wet'
     3='Snow or Slush'
     4='Ice'
     5='Sand Dirt Oil'
     8='Other'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FJUNCT (MIN=7 MAX=16)
    01='Non-Int Non-junc'
    02='Non-Int Intersec'
    03='Non-Int Int Rel'
    04='Non-Int Dr,Alley'
    05='Non-Int Ramp'
    06='Non-Int RailXing'
    07='Non-Int X-over'
    09='Non-Int Unknown'
    10='Int Intersection'
    11='Int Inter Rel'
    12='Int Driveway'
    13='Int Ramp'
    14='Int X-over'
    15='Int Other'
    19='Int Unknown'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FRDWY (MIN=6 MAX=12)
     1='On Roadway'
     2='Shoulder'
     3='Median'
     4='Roadside'
     5='Outside ROW'
     6='Off Roadway'
     7='Parking Lane'
     8='Gore'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FALIG (MIN=5 MAX=8)
     1='Straight'
     2='Curve'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FGRAD82F (MIN=5 MAX=9)
     1='Level'
     2='Grade'
     3='Hillcrest'
     4='Sag'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FPAVE (MIN=4 MAX=17)
     1='Concrete'
     2='Blacktop'
     3='Brick or Block'
     4='Slag Gravel Stone'
     5='Dirt'
     8='Other'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FTCFUNC (MIN=7 MAX=20)
     0='No Controls'
     1='Not Functioning'
     2='Functioning Improper'
     3='Functioning Properly'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FHIT82F (MIN=12 MAX=16)
     0='No Hit & Run'
     1='Hit Veh in Trans'
     2='Hit Pedestrian'
     3='Hit Park Veh/Obj';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FCMZ82F (MIN=4 MAX=13)
     0='None'
     1='Construction'
     2='Maintenance'
     3='Utility'
     4='Unk Work Zone';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FSPECJUR (MIN=5 MAX=16)
     0='No Spec Jurisd'
     1='Nat Park Service'
     2='Military'
     3='Indian Reserve'
     4='Coll/Univ Campus'
     8='Other'
     5='Other Fed Prop'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FTRCN82F (MIN=5 MAX=16)
    00='No controls'
    01='Cntl-no Ped Sig'
    02='Cntl-w/Ped Sig'
    03='Cntl-unk Ped Sig'
    04='Flash Cntrl'
    05='Flash Beacon'
    06='Flash Signal Unk'
    07='Lane Signal'
    08='Oth Signal'
    09='Unk Signal'
    20='Stop Sign'
    21='Yield Sign'
    28='Other Sign'
    29='Unk Sign'
    30='Sch:Speed Sign'
    31='Sch:Adv/X-Sign'
    38='Sch:Oth Sign'
    39='Sch:Unk Type'
    40='Warning Sign'
    50='Officer/X-guard'
    60='RR:Gates'
    61='RR:Flash/Lights'
    62='RR:Cntrl Signal'
    63='RR:Wigwags'
    64='RR:Bells'
    68='RR:Other Device'
    69='RR:Unknown'
    70='RR:Cross Bucks'
    71='RR:Stop Sign'
    72='Other RR X-Sign'
    73='Special Warning'
    78='Other Passive '
    79='Passive Type Unk'
    80='Grade Xing, Unk'
    98='Other'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FDAYS (MIN=6 MAX=9)
     1='Sunday'
     2='Monday'
     3='Tuesday'
     4='Wednesday'
     5='Thursday'
     6='Friday'
     7='Saturday'
     9='Unknown';
*                              ';
*  Decodes for FARS Vehicle/Driver Level data';
*  ------------------------------------------';
*                                             ';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FMAKE91F (MIN=2 MAX=15)
    01='American Motors'
    02='Jeep'
    03='AM General'
    06='Chrysler'
    07='Dodge'
    08='Imperial'
    09='Plymouth'
    10='Eagle'
    12='Ford'
    13='Lincoln'
    14='Mercury'
    18='Buick'
    19='Cadillac'
    20='Chevrolet'
    21='Oldsmobile'
    22='Pontiac'
    23='GMC'
    24='Saturn'
    25='Grumman'
    29='Other Domestic'
    30='Volkswagen'
    31='Alfa Romeo'
    32='Audi'
    33='Austin/Healey'
    34='BMW'
    35='Nissan/Datsun'
    36='Fiat'
    37='Honda'
    38='Isuzu'
    39='Jaguar'
    40='Lancia'
    41='Mazda'
    42='Mercedes-Benz'
    43='MG'
    44='Peugeot'
    45='Porsche'
    46='Renault'
    47='Saab'
    48='Subaru'
    49='Toyota'
    50='Triumph'
    51='Volvo'
    52='Mitsubishi'
    53='Suzuki'
    54='Acura'
    55='Hyundai'
    56='Merkur'
    57='Yugo'
    58='Infiniti'
    59='Lexus'
    60='Daihatsu'
    61='Sterling'
    69='Other Imports'
    70='BSA'
    71='Ducati'
    72='Harley-Davidson'
    73='Kawasaki'
    74='Moto-Guzzi'
    75='Norton'
    76='Yamaha'
    80='Brockway'
    81='Diamond Reo'
    82='Freightliner'
    83='FWD'
    84='Internat Harv'
    85='Kenworth'
    86='Mack'
    87='Peterbilt'
    88='Iveco/Magirus'
    89='White/Autocar'
    98='Other Make'
    99='Unknown Make';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FMKMD91F (MIN=8 MAX=35)
 01001='AMER Rambler/American'
 01002='AMER Rebel/Matador'
 01003='AMER Ambassador'
 01004='AMER Pacer'
 01005='AMER AMX'
 01006='AMER Javelin'
 01007='AMER Hornet/Concord'
 01008='AMER Spirit/Gremlin'
 01009='AMER Eagle'
 01010='AMER Eagle SX-4'
 01398='AMER Other'
 01399='AMER Unknown'
 02401='JEEP CJ-2/CJ-3/CJ-4'
 02402='JEEP CJ-5/CJ-6/CJ-7/CJ-8'
 02403='JEEP YJ-Wrangler'
 02404='JEEP Cherokee (84on)'
 02421='JEEP Cherokee (thru 83)'
 02431='JEEP Grand Wagoneer'
 02481='JEEP Pick-up'
 02482='JEEP Comanche'
 02498='JEEP Other Truck'
 02499='JEEP Unk Truck'
 03401='AM Dispatcher'
 03421='AM Hummer'
 03466='AM Dispatcher DJ'
 03498='AM Other Truck'
 03499='AM Unk Truck'
 03884='AM Med/Hvy Truck'
 03898='AM Other Med/Hvy Truck'
 03899='AM Unk Med/Hvy Truck'
 03903='AM Bus rear engine'
 03983='AM Bus rear engine'
 03988='AM Bus Other'
 03997='AM Bus Other'
 03989='AM Bus Unknown'
 03998='AM Other Vehicle'
 03999='AM Unknown'
 06009='CHRY Cordoba'
 06010='CHRY Newport/New Yorker'
 06014='CHRY New Yorker/E-Class'
 06015='CHRY Laser'
 06016='CHRY Lebaron'
 06017='CHRY Lebaron GTS/GTC'
 06031='CHRY TC Maserati'
 06035='CHRY Conquest'
 06041='CHRY Concorde'
 06398='CHRY Other Auto'
 06399='CHRY Unk Auto'
 06441='CHRY Town & Country'
 06999='CHRY Unknown'
 07001='DODG Dart'
 07002='DODG Coronet/Charger/Magnum'
 07003='DODG Polara/Monaco'
 07005='DODG Challenger'
 07006='DODG Aspen'
 07007='DODG Diplomat'
 07008='DODG Omni'
 07009='DODG Mirada'
 07010='DODG St Regis'
 07011='DODG Aries'
 07012='DODG 400'
 07013='DODG Rampage (car)'
 07014='DODG 600'
 07015='DODG Daytona'
 07016='DODG Lancer'
 07017='DODG Shadow'
 07018='DODG Dynasty'
 07019='DODG Spirit'
 07033='DODG Challenger-import'
 07034='DODG Colt'
 07035='DODG Conquest'
 07039='DODG Stealth'
 07040='DODG Monaco'
 07398='DODG Other Auto'
 07399='DODG Unk Auto'
 07401='DODG Raider'
 07421='DODG Ramchager'
 07441='DODG Vista Van'
 07442='DODG Caravan'
 07461='DODG B-series Pickup'
 07470='DODG Van Derivative'
 07471='DODG D50,Colt Pickup,Ram'
 07472='DODG Dakota'
 07481='DODG D,W-series Pickup'
 07498='DODG Other lt Truck'
 07499='DODG Unk lt Truck'
 07881='DODG CBE'
 07882='DODG COE lo ent'
 07883='DODG COE hi ent'
 07884='DODG Unk eng loc'
 07890='DODG COE unk ent'
 07898='DODG Other med/hvy'
 07899='DODG Unk med/hvy'
 07981='DODG Conventional Bus'
 07997='DODG Other Bus'
 07998='DODG Other Veh'
 07999='DODG Unknown'
 08010='IMPL Imperial'
 08398='IMPL Other Auto'
 08399='IMPL Unk Auto'
 09001='PLYM Valiant/Duster/Scamp'
 09002='PLYM Satellite/Belvedere'
 09003='PLYM Fury'
 09004='PLYM Gran Fury'
 09005='PLYM Barracuda'
 09006='PLYM Volare'
 09007='PLYM Caravelle'
 09008='PLYM Horizon'
 09011='PLYM Reliant(K)'
 09013='PLYM Scamp-auto pickup'
 09017='PLYM Sundance'
 09019='PLYM Acclaim'
 09031='PLYM Cricket'
 09032='PLYM Arrow'
 09033='PLYM Sapporo'
 09034='PLYM Champ/Colt import'
 09035='PLYM Conquest'
 09037='PLYM Laser'
 09398='PLYM Other Auto'
 09399='PLYM Unk Auto'
 09401='PLYM Trailduster'
 09441='PLYM Vista'
 09442='PLYM Voyager'
 09461='PLYM B-series Van'
 09471='PLYM Arrow Pickup'
 09498='PLYM Other lt truck'
 09499='PLYM Unk lt truck'
 09998='PLYM Other Vehicle'
 09999='PLYM Unknown'
 10034='EAGL Summit'
 10037='EAGL Talon'
 10040='EAGL Premier'
 10044='EAGL Medallion'
 10398='EAGL Other Auto'
 10399='EAGL Unk Auto'
 12001='FORD Falcon'
 12002='FORD Fairlane'
 12003='FORD Mustang/Mustang II'
 12004='FORD Thunderbird'
 12005='FORD Ltd II'
 12006='FORD Ltd/Galaxy/Custom'
 12007='FORD Ranchero'
 12008='FORD Maverick'
 12009='FORD Pinto'
 12010='FORD Torino/Gran Torino'
 12011='FORD Granada'
 12012='FORD Fairmont'
 12013='FORD Escort/EXP'
 12015='FORD Tempo'
 12016='FORD Crown Victoria'
 12017='FORD Taurus'
 12018='FORD Probe'
 12031='FORD English Ford'
 12032='FORD Fiesta'
 12033='FORD Festiva'
 12398='FORD Other Auto'
 12399='FORD Unk Auto'
 12401='FORD Bronco II'
 12421='FORD Bronco-fullsize'
 12441='FORD Aerostar'
 12461='FORD E-series Van'
 12470='FORD Van derivative'
 12471='FORD Ranger'
 12472='FORD Courier'
 12481='FORD F-series Pickup'
 12498='FORD Other lt truck'
 12499='FORD Unk lt truck'
 12881='FORD Truck CBE'
 12882='FORD Truck COE lo ent'
 12883='FORD Truck COE hi ent'
 12884='FORD Truck Unk eng loc'
 12890='FORD Truck COE Unk ent'
 12898='FORD Other Med/Hvy Truck'
 12899='FORD Unk Med/Hvy Truck'
 12981='FORD Conventional Bus'
 12997='FORD Other Bus'
 12998='FORD Other Vehicle'
 12999='FORD Unknown'
 13001='LINC TownCar/Continental'
 13002='LINC Mark'
 13005='LINC Continental'
 13011='LINC Versailles'
 13398='LINC Other Auto'
 13399='LINC Unk Auto'
 14002='MERC Cyclone'
 14003='MERC Capri-domestic'
 14004='MERC Cougar XR7'
 14006='MERC Marquis/Monterey'
 14008='MERC Comet'
 14009='MERC Bobcat'
 14010='MERC Montego'
 14011='MERC Monarch'
 14012='MERC Zephyr'
 14013='MERC Lynx/LN7'
 14015='MERC Topaz'
 14017='MERC Sable'
 14031='MERC Capri-foreign'
 14033='MERC Pantera'
 14036='MERC Tracer'
 14398='MERC Other Auto'
 14399='MERC Unknown Auto'
 18001='BUIC Special/Skylark'
 18002='BUIC Lesabre/Wildcat/Centurion'
 18003='BUIC Electra/Park Avenue'
 18004='BUIC Roadmaster'
 18005='BUIC Riviera'
 18007='BUIC Century'
 18008='BUIC Apollo/Skylark(75)'
 18010='BUIC Regal'
 18012='BUIC Skyhawk'
 18015='BUIC Skylark(76-85)'
 18018='BUIC Somerset/Skylark(86+)'
 18020='BUIC Regal FWD'
 18021='BUIC Reatta'
 18031='BUIC Opel Kadette'
 18032='BUIC Opel Manta'
 18033='BUIC Opel GT'
 18034='BUIC Opel Isuzu'
 18398='BUIC Other Auto'
 18399='BUIC Unk Auto'
 19003='CADI Deville/Fleetwood'
 19004='CADI Limousine'
 19005='CADI Eldorado'
 19006='CADI Commercial Series'
 19009='CADI Allante'
 19014='CADI Seville'
 19016='CADI Cimarron'
 19398='CADI Other Auto'
 19399='CADI Unk Auto'
 20001='CHEV Malibu/Chevelle'
 20002='CHEV Caprice/Impala'
 20004='CHEV Corvette'
 20006='CHEV Corvair'
 20007='CHEV El Camino'
 20008='CHEV Nova(-79)'
 20009='CHEV Camaro'
 20010='CHEV Monte Carlo'
 20011='CHEV Vega'
 20012='CHEV Monza'
 20013='CHEV Chevette'
 20015='CHEV Citation'
 20016='CHEV Cavalier'
 20017='CHEV Celebrity'
 20019='CHEV Baretta/Corsica'
 20020='CHEV Lumina'
 20031='CHEV Spectrum'
 20032='CHEV Nova/Geo Prism'
 20033='CHEV Geo Sprint'
 20034='CHEV Geo Metro'
 20035='CHEV Geo Storm'
 20398='CHEV Other Auto'
 20399='CHEV Unk Auto'
 20401='CHEV S-10 Blazer'
 20402='CHEV Geo Tracker'
 20421='CHEV Blazer-fullsize'
 20431='CHEV Suburban'
 20441='CHEV Astro Van'
 20442='CHEV Lumina APV'
 20461='CHEV G-series Van'
 20466='CHEV P-series Van'
 20470='Van derivative'
 20471='CHEV S-10/T-10'
 20472='CHEV LUV'
 20475='CHEV Van Derivative'
 20481='CHEV C,K,R,V-series Pickup'
 20498='CHEV Other lt truck'
 20499='CHEV Unk lt truck'
 20850='CHEV Motorhome-truck'
 20881='CHEV CBE'
 20882='CHEV COE lo ent'
 20883='CHEV COE hi ent'
 20884='CHEV Unk eng loc'
 20890='CHEV COE Unk ent'
 20898='CHEV Other med/hvy'
 20899='CHEV Unk med/hvy'
 20981='CHEV Conventional Bus'
 20988='CHEV Other Bus'
 20997='CHEV Other Bus'
 20998='CHEV Other Vehicle'
 20999='CHEV Unknown'
 21001='OLDS Cutlass RWD'
 21002='OLDS Delta 88'
 21003='OLDS Ninety-Eight'
 21005='OLDS Toronado'
 21006='OLDS Commercial Series'
 21012='OLDS Starfire'
 21015='OLDS Omega'
 21016='OLDS Firenza'
 21017='OLDS Ciera'
 21018='OLDS Calais'
 21020='OLDS Cutlass FWD'
 21398='OLDS Other Auto'
 21399='OLDS Unknown Auto'
 21401='OLDS Bravada'
 21441='OLDS Silhouette'
 21498='OLDS Other lt tr'
 21499='OLDS Unk lt tr'
 21999='OLDS Unknown'
 22001='PONT Lemans/Tempest'
 22002='PONT Bonneville/Catalina'
 22005='PONT Fiero'
 22008='PONT Ventura'
 22009='PONT Firebird/Trans AM'
 22010='PONT Grand Prix RWD'
 22011='PONT Astre'
 22012='PONT Sunbird'
 22013='PONT T-1000/1000'
 22015='PONT Phoenix'
 22016='PONT J-2000'
 22017='PONT 6000'
 22018='PONT Grand AM'
 22020='PONT Grand Prix'
 22031='PONT Lemans (88+)'
 22398='PONT Other Auto'
 22399='PONT Unk Auto'
 22441='PONT Trans Sport'
 22999='PONT Unknown'
 23007='GMC Caballero/Sprint'
 23398='GMC Other Auto'
 23399='GMC Unk Auto'
 23401='GMC Jimmy/S-15 based'
 23421='GMC Jimmy fullsize'
 23431='GMC Suburban'
 23441='GMC Safari'
 23461='GMC G-series Van'
 23466='GMC P-series Van'
 23470='GMC Van Derivative'
 23471='GMC S15/Somona'
 23481='GMC C,K,R,V-series Pickup'
 23498='GMC Other lt truck'
 23499='GMC Unk lt truck'
 23881='GMC CBE'
 23882='GMC COE lo ent'
 23883='GMC COE hi ent'
 23884='GMC Unk eng loc'
 23890='GMC COE Unk ent'
 23898='GMC Other med/hvy'
 23899='GMC Unk med/hvy'
 23981='GMC Conventional Bus'
 23997='GMC Other Bus'
 23998='GMC Other Vehicle'
 23999='GMC Unknown'
 24001='SATN SL'
 24002='SATN SC'
 24398='SATN Other Auto'
 24399='SATN Unk Auto'
 29001='STUDEBAKER/AVANTI'
 29002='CHECKER'
 29398='OTHER DOMESTIC'
 30031='VW Karmann Ghia'
 30032='VW Beetle'
 30033='VW Super Beetle'
 30034='VW 411/412'
 30035='VW Squareback/Fastback'
 30036='VW Rabbit'
 30037='VW Dasher'
 30038='VW Scirocco'
 30040='VW Jetta'
 30041='VW Quantum'
 30042='VW Golf'
 30043='VW Rabbit Pickup'
 30044='VW Fox'
 30045='VW Corrado'
 30046='VW Passat'
 30398='VW Other Auto'
 30399='VW Unk Auto'
 30401='VW The Thing'
 30441='VW Vanagon/Camper'
 30498='VW Other lt truck'
 30499='VW Unk lt truck'
 30999='VW Unknown'
 31031='ALFA Spider'
 31032='ALFA Sports Sedan'
 31033='ALFA Sprint/Special'
 31034='ALFA GTV-6'
 31035='ALFA 164'
 31398='ALFA Other Auto'
 31399='ALFA Unk Auto'
 32031='AUDI Super 90'
 32032='AUDI 100'
 32033='AUDI Fox'
 32034='AUDI 4000'
 32035='AUDI 5000'
 32036='AUDI 80/90'
 32037='AUDI 200'
 32038='AUDI V-8 Quattro'
 32039='AUDI Coupe Quattro'
 32040='AUDI S4'
 32041='AUDI Cabriolet'
 32398='AUDI Other Auto'
 32499='AUDI Unk Auto'
 33031='AUST Marina'
 33032='AUST America'
 33033='AUST Healey Sprite'
 33034='AUST Healey 100/3000'
 33035='AUST Mini'
 33398='AUST Other Auto'
 33399='AUST Unk Auto'
 34031='BMW 1600,1800,2000,2002'
 34032='BMW Coupe(pre-75)'
 34033='BMW Bavarian Sedan'
 34034='BMW 3-series'
 34035='BMW 5-series'
 34036='BMW 6-series'
 34037='BMW 7-series'
 34038='BMW 8-series'
 34398='BMW Other Auto'
 34399='BMW Unk Auto'
 34701='BMW 0-50cc'
 34702='BMW 51-124cc'
 34703='BMW 125-349cc'
 34704='BMW 350-449cc'
 34705='BMW 450-749cc'
 34706='BMW 750cc & over'
 34709='BMW Unk cc'
 34799='BMW Unk cc'
 34999='BMW Unknown'
 35031='NISS F-10'
 35032='NISS 200SX/240SX'
 35033='NISS B210/210/1200'
 35034='NISS Z-car,ZX'
 35035='NISS 310'
 35036='NISS 510'
 35037='NISS 610'
 35038='NISS 710'
 35039='NISS 810/Maxima'
 35040='NISS Roadster'
 35041='NISS PL411/RL411'
 35042='NISS Stanza'
 35043='NISS Sentra'
 35044='NISS Pulsar'
 35045='NISS Micra'
 35398='NISS Other Auto'
 35399='NISS Unk Auto'
 35401='NISS Pathfinder'
 35441='NISS Van'
 35442='NISS Axxess'
 35471='NISS Pickup'
 35498='NISS Other lt truck'
 35499='NISS Unk lt truck'
 35883='NISS COE hi entry'
 35898='NISS Other med/hvy truck'
 35899='NISS Unk med/hvy truck'
 35999='NISS Unknown'
 36031='FIAT 124 Coupe/Sedan'
 36032='FIAT 124 Spider/Racer'
 36033='FIAT Brava/131'
 36034='FIAT 850 Coupe/Spider'
 36035='FIAT 128'
 36036='FIAT X-1/9'
 36037='FIAT Strada'
 36398='FIAT Other Auto'
 36399='FIAT Unk Auto'
 36882='FIAT COE lo ent'
 36883='FIAT COE hi ent'
 36890='FIAT COE Unk Entry'
 36898='FIAT Other med/hvy truck'
 36899='FIAT Unk med/hvy truck'
 36998='FIAT Other Vehicle'
 36999='FIAT Unknown'
 37031='HOND Civic/CRX'
 37032='HOND Accord'
 37033='HOND Prelude'
 37034='HOND 600'
 37398='HOND Other Auto'
 37399='HOND Unk Auto'
 37701='HOND 0-50cc'
 37702='HOND 51-124cc'
 37703='HOND 125-349cc'
 37704='HOND 350-449cc'
 37705='HOND 450-749cc'
 37706='HOND 750cc & over'
 37731='HOND ATV 0-50cc'
 37732='HOND ATV 51-124cc'
 37733='HOND ATV 125-349cc'
 37734='HOND ATV 350cc & over'
 37799='HOND Unk cc'
 37999='HOND Unknown'
 38031='ISUZ I-Mark'
 38032='ISUZ Impulse'
 38033='ISUZ Stylus'
 38398='ISUZ Other Auto'
 38399='ISUZ Unk Auto'
 38401='ISUZ Trooper/Trooper II'
 38402='ISUZ Rodeo'
 38403='ISUZ Amigo'
 38471='ISUZ P''up Pickup'
 38498='ISUZ Other lt truck'
 38499='ISUZ Unk lt truck'
 38881='ISUZ CBE'
 38882='ISUZ COE lo ent'
 38883='ISUZ COE hi ent'
 38884='ISUZ Unk Eng Loc'
 38890='ISUZ COE Unk Ent'
 38898='ISUZ Other med/hvy'
 38899='ISUZ Unk med/hvy'
 38981='ISUZ Conventional Bus'
 38982='ISUZ Bus fr eng'
 38983='ISUZ Bus rear eng'
 38997='ISUZ Other Bus'
 38999='ISUZ Unknown'
 39031='JAG XJ-S Coupe'
 39032='JAG XJ6/12 Sedan/Coupe'
 39033='JAG XK-E'
 39398='JAG Other Auto'
 39399='JAG Unk Auto'
 40031='LANC Beta Sedan/HPE'
 40032='LANC Beta Coupe/Zagato'
 40033='LANC Scorpion'
 40398='LANC Other Auto'
 40399='LANC Unk Auto'
 41031='MAZD RX2'
 41032='MAZD RX3'
 41033='MAZD RX4'
 41034='MAZD RX7'
 41035='MAZD GLC/323/Protege'
 41036='MAZD Cosmo'
 41037='MAZD 626'
 41038='MAZD 808'
 41039='MAZD Mizer'
 41040='MAZD R-100'
 41041='MAZD 616/618'
 41042='MAZD 1800'
 41043='MAZD 929'
 41044='MAZD MX-6'
 41045='MAZD Miata'
 41046='MAZD Galaxy'
 41398='MAZD Other auto'
 41399='MAZD Unk auto'
 41401='MAZD Navajo'
 41441='MAZD MPV'
 41471='MAZD Pickup'
 41498='MAZD Other lt truck'
 41499='MAZD Unk lt truck'
 41999='MAZD Unknown'
 42031='MERZ 200-300 Sedan/Coupe'
 42032='MERZ 230/280 SL 2-pass'
 42033='MERZ 300-560 SL 2-pass'
 42034='MERZ 350-560 SLC'
 42035='MERZ 280/300 SEL'
 42036='MERZ 380-560 SEL/SEC'
 42037='MERZ 300-450 SE'
 42038='MERZ 600,6.9 Sedan'
 42039='MERZ 190'
 42398='MERZ Other Auto'
 42399='MERZ Unk Auto'
 42470='MERZ Van Derivative'
 42881='MERZ CBE'
 42882='MERZ COE lo ent'
 42883='MERZ COE hi ent'
 42884='MERZ Unk eng loc'
 42898='MERZ Other med/hvy'
 42899='MERZ Unk med/hvy'
 42890='MERZ COE Unk ent'
 42981='MERZ Conventional Bus'
 42997='MERZ Other Bus'
 42998='MERZ Other Vehicle'
 42999='MERZ Unknown'
 43031='MG Midget'
 43032='MG MGB'
 43034='MG MGA'
 43035='MG TA/TC/TD/TF'
 43036='MG MGC'
 43398='MG Other Auto'
 43399='MG Unk Auto'
 44031='PEUG 304'
 44032='PEUG 403'
 44033='PEUG 404'
 44034='PEUG 504/505'
 44035='PEUG 604'
 44036='PEUG 405'
 44398='PEUG Other auto'
 44399='PEUG Unk auto'
 44701='PEUG 0-50cc'
 44702='PEUG 51-124cc'
 44799='PEUG Unk cc'
 44999='PEUG Unknown'
 45031='PORS 911'
 45032='PORS 912'
 45033='PORS 914'
 45034='PORS 924'
 45035='PORS 928'
 45036='PORS 930'
 45037='PORS 944'
 45038='PORS 959'
 45398='PORS Other Auto'
 45399='PORS Unk Auto'
 46031='RENA LeCar'
 46032='RENA Dauphine/10/R-8/Caravelle'
 46033='RENA 12'
 46034='RENA 15'
 46035='RENA 16'
 46036='RENA 17'
 46037='RENA R18i'
 46038='RENA Fuego'
 46039='RENA Alliance/Encore/GTA/Converible'
 46041='RENA Alpine'
 46044='RENA Medallion'
 46045='RENA Premier'
 46398='RENA Other Auto'
 46399='RENA Unk Auto'
 47031='SAAB 99/99E/900'
 47032='SAAB Sonnet'
 47033='SAAB 95/96/97'
 47034='SAAB 9000'
 47398='SAAB Other Auto'
 47399='SAAB Unk Auto'
 48031='SUBA DL/FE/G/GF/GL/GLF/STD/Loyale'
 48032='SUBA Star'
 48033='SUBA 360'
 48034='SUBA Legacy'
 48035='SUBA XT/XT6'
 48036='SUBA Justy'
 48043='SUBA Brat'
 48398='SUBA Other Auto'
 48399='SUBA Unk Auto'
 49031='TOYT Corona'
 49032='TOYT Corolla'
 49033='TOYT Celica'
 49034='TOYT Supra'
 49035='TOYT Cressida'
 49036='TOYT Crown'
 49037='TOYT Carina'
 49038='TOYT Tercel'
 49039='TOYT Starlet'
 49040='TOYT Camry'
 49041='TOYT MR-2'
 49042='TOYT Paseo'
 49398='TOYT Other Auto'
 49399='TOYT Unk Auto'
 49401='TOYT 4-Runner'
 49421='TOYT Landcruiser'
 49441='TOYT Minivan/Previa'
 49471='TOYT Pickup'
 49498='TOYT Other lt truck'
 49499='TOYT Unk lt truck'
 49999='TOYT Unknown'
 50031='TRUI Spitfire'
 50032='TRUI GT-6'
 50033='TRUI TR4'
 50034='TRUI TR6'
 50035='TRUI TR7/TR8'
 50036='TRUI Herald'
 50037='TRUI Stag'
 50398='TRUI Other Auto'
 50399='TRUI Unk Auto'
 50701='TRUI 0-50cc'
 50702='TRUI 51-124 cc'
 50703='TRUI 125-349 cc'
 50704='TRUI 350-449 cc'
 50705='TRUI 450-749 cc'
 50706='TRUI 750cc & over'
 50799='TRUI Unk cc'
 50999='TRUI Unknown'
 51031='VOLV 122'
 51032='VOLV 142/144/145'
 51033='VOLV 164'
 51034='VOLV 240/242/244/245'
 51035='VOLV 262/264/265'
 51036='VOLV 1800'
 51037='VOLV P-544'
 51038='VOLV 760/780'
 51039='VOLV 740'
 51398='VOLV Other Auto'
 51399='VOLV Unk Auto'
 51881='VOLV CBE'
 51882='VOLV COE lo ent'
 51883='VOLV COE hi ent'
 51884='VOLV Unk eng loc'
 51890='VOLV Unk entry'
 51898='VOLV Other med/hvy'
 51899='VOLV Unk med/hvy'
 51981='VOLV Conventional Bus'
 51997='VOLV Other Bus'
 51999='VOLV Unknown'
 52031='MITS Starion'
 52032='MITS Tredia'
 52033='MITS Cordia'
 52034='MITS Galant'
 52035='MITS Mirage'
 52036='MITS Precis'
 52037='MITS Eclipse'
 52038='MITS Sigma'
 52039='MITS 3000 GT'
 52040='MITS Diamonte'
 52398='MITS Other Auto'
 52399='MITS Unk Auto'
 52401='MITS Montero'
 52441='MITS Mini-van'
 52471='MITS Pickup'
 52498='MITS Other lt truck'
 52499='MITS Unk lt truck'
 52882='MITS COE lo ent'
 52898='MITS Other med/hvy truck'
 52899='MITS Unk med/hvy truck'
 52981='MITS Conventional Bus'
 52982='MITS Bus fr eng'
 52983='MITS Bus rear eng'
 52997='MITS Other Bus'
 52998='MITS Other Vehicle'
 52999='MITS Unknown'
 53031='SUZU SA310'
 53034='SUZU Swift'
 53398='SUZU Other Auto'
 53399='SUZU Unk Auto'
 53401='SUZU Samarai'
 53402='SUZU Sidekick'
 53498='SUZU Other lt truck'
 53499='SUZU Unk lt truck'
 53701='SUZU 0-50cc'
 53702='SUZU 51-124cc'
 53703='SUZU 125-349cc'
 53704='SUZU 350-449cc'
 53705='SUZU 450-749cc'
 53706='SUZU 750cc & over'
 53731='SUZU ATV 0-50cc'
 53732='SUZU ATV 51-124cc'
 53733='SUZU ATV 125-349cc'
 53734='SUZU ATV 350cc & over'
 53799='SUZU Unk cc'
 53999='SUZU Unknown'
 54031='ACUR Integra'
 54032='ACUR Legend'
 54033='ACUR NSX'
 54034='ACUR Vigor'
 54398='ACUR Other Auto'
 54399='ACUR Unk Auto'
 55031='HYUN Pony'
 55032='HYUN Excel'
 55033='HYUN Sonata'
 55034='HYUN Scoupe'
 55035='HYUN Elantra'
 55398='HYUN Other Auto'
 55399='HYUN Unk Auto'
 56031='MERK XR4Ti'
 56032='MERK Scorpio'
 56398='MERK Other Auto'
 56399='MERK Unk Auto'
 57031='YUGO GV'
 57398='YUGO Other Auto'
 57399='YUGO Unk Auto'
 58031='INFI M30'
 58032='INFI Q45'
 58033='INFI G20'
 58398='INFI Other Auto'
 58399='INFI Unk Auto'
 59031='LEXS ES-250'
 59032='LEXS LS-400'
 59398='LEXS Other Auto'
 59399='LEXS Unk Auto'
 60031='DAIH Charade'
 60398='DAIH Other Auto'
 60399='DAIH Unk Auto'
 60401='DAIH Rocky'
 60498='DAIH Other lt tr'
 60499='DAIH Unk lt tr'
 60998='DAIH Other Vehicle'
 60999='DAIH Unknown'
 61031='STER 827S'
 61398='STER Other Auto'
 61399='STER Unk Auto'
 69031='ASTON MARTIN'
 69032='BRICKLIN'
 69033='CITROEN'
 69034='DELOREAN'
 69035='FERRARI'
 69036='HILLMAN'
 69037='JENSEN'
 69038='LAMBORGHINI'
 69039='LOTUS'
 69040='MASERATI'
 69041='MORRIS'
 69042='ROLLS ROYCE/BENTLEY'
 69043='ROVER'
 69044='SIMCA'
 69045='SUNBEAM'
 69046='TVR'
 69049='RELIANT'
 69052='BERTONE'
 69053='LADA'
 69054='KIA'
 69398='OTHER IMPORT'
 70701='BSA 0-50cc'
 70702='BSA 51-124cc'
 70703='BSA 125-349cc'
 70704='BSA 350-449cc'
 70705='BSA 450-749cc'
 70706='BSA 750cc & over'
 70709='BSA Unk cc'
 71701='DUCA 0-50cc'
 71702='DUCA 51-124cc'
 71703='DUCA 125-349cc'
 71704='DUCA 350-449cc'
 71705='DUCA 450-749cc'
 71706='DUCA 750cc & over'
 71799='DUCA Unk cc'
 72701='HD 0-50cc'
 72702='HD 51-124cc'
 72703='HD 125-349cc'
 72704='HD 350-449cc'
 72705='HD 450-749cc'
 72706='HD 750cc & over'
 72799='HD Unk cc'
 73701='KAWA 0-50cc'
 73702='KAWA 51-124cc'
 73703='KAWA 125-349cc'
 73704='KAWA 350-449cc'
 73705='KAWA 450-749cc'
 73706='KAWA 750cc & over'
 73731='KAWA ATV 0-50cc'
 73732='KAWA ATV 51-124cc'
 73733='KAWA ATV 125-349cc'
 73734='KAWA ATV 350cc & over'
 73799='KAWA Unk cc'
 73998='KAWA Other Vehicle'
 73999='KAWA Unknown'
 74701='MOTO 0-50cc'
 74702='MOTO 51-124cc'
 74703='MOTO 125-349cc'
 74704='MOTO 350-449cc'
 74705='MOTO 450-749cc'
 74706='MOTO 750cc & over'
 74799='MOTO Unk cc'
 75701='NORT 0-50cc'
 75702='NORT 51-124cc'
 75703='NORT 125-349cc'
 75704='NORT 350-449cc'
 75705='NORT 450-749cc'
 75706='NORT 750cc & over'
 75799='NORT Unk cc'
 76701='YAMA 0-50cc'
 76702='YAMA 51-124cc'
 76703='YAMA 125-349cc'
 76704='YAMA 350-449cc'
 76705='YAMA 450-749cc'
 76706='YAMA 750cc & over'
 76731='YAMA ATV 0-50cc'
 76732='YAMA ATV 51-124cc'
 76733='YAMA ATV 125-349cc'
 76734='YAMA ATV 350cc & over'
 76799='YAMA Unk cc'
 76998='YAMA Other Vehicle'
 76999='YAMA Unknown'
 80881='BROC CBE'
 80882='BROC COE lo ent'
 80883='BROC COE hi ent'
 80884='BROC Unk eng loc'
 80890='BROC COE Unk ent'
 80898='BROC Other med/hvy'
 80899='BROC Unk med/hvy'
 80981='BROC Conventional Bus'
 80982='BROC Bus fr eng'
 80983='BROC Bus rear eng'
 80997='BROC Other Bus'
 80950='BROC Truck Motorhome'
 80998='BROC Other Vehicle'
 80999='BROC Unknown'
 81881='DIAM CBE'
 81882='DIAM COE lo ent'
 81883='DIAM COE hi ent'
 81884='DIAM Unk eng loc'
 81890='DIAM COE Unk ent'
 81898='DIAM Other med/hvy'
 81899='DIAM Unk med/hvy'
 81981='DIAM Conventional Bus'
 81982='DIAM Bus fr eng'
 81983='DIAM Bus rear eng'
 81997='DIAM Other Bus'
 81950='DIAM Truck Motorhome'
 81998='DIAM Other Vehicle'
 81999='DIAM Unknown'
 82881='FRHT CBE'
 82882='FRHT COE lo ent'
 82883='FRHT COE hi ent'
 82884='FRHT Unk eng loc'
 82890='FRHT COE Unk ent'
 82898='FRHT Other med/hvy'
 82899='FRHT Unk med/hvy'
 82981='FRHT Conventional Bus'
 82982='FRHT Bus fr eng'
 82983='FRHT Bus rear eng'
 82997='FRHT Other Bus'
 82950='FRHT Truck Motorhome'
 82998='FRHT Other Vehicle'
 82999='FRHT Unknown'
 83881='FWD CBE'
 83882='FWD COE lo ent'
 83883='FWD COE hi ent'
 83884='FWD Unk eng loc'
 83890='FWD COE Unk ent'
 83898='FWD Other med/hvy'
 83899='FWD Unk med/hvy'
 83981='FWD Conventional Bus'
 83982='FWD Bus fr eng'
 83983='FWD Bus rear eng'
 83997='FWD Other Bus'
 83950='FWD Truck Motorhome'
 83998='FWD Other Vehicle'
 83999='FWD Unknown'
 84421='INTL Scout'
 84431='INTL Travelall'
 84466='INTL Multistop Van'
 84481='INTL Pickup'
 84498='INTL Other lt tr'
 84499='INTL Unk lt tr'
 84881='INTL CBE'
 84882='INTL COE lo ent'
 84883='INTL COE hi ent'
 84884='INTL Unk eng loc'
 84890='INTL COE Unk ent'
 84898='INTL Other med/hvy'
 84899='INTL Unk med/hvy'
 84981='INTL Conventional Bus'
 84982='INTL Bus fr eng'
 84983='INTL Bus rear eng'
 84997='INTL Other Bus'
 84950='INTL Truck Motorhome'
 84998='INTL Other Vehicle'
 84999='INTL Unknown'
 85881='KW CBE'
 85882='KW COE lo ent'
 85883='KW COE hi ent'
 85884='KW Unk eng loc'
 85890='KW COE Unk ent'
 85898='KW Other med/hvy'
 85899='KW Unk med/hvy'
 85981='KW Conventional Bus'
 85982='KW Bus fr eng'
 85983='KW Bus rear eng'
 85997='KW Other Bus'
 85950='KW Truck Motorhome'
 85998='KW Other Vehicle'
 85999='KW Unknown'
 86881='MACK CBE'
 86882='MACK COE lo ent'
 86883='MACK COE hi ent'
 86884='MACK Unk eng loc'
 86890='MACK COE Unk ent'
 86898='MACK Other med/hvy'
 86899='MACK Unk med/hvy'
 86981='MACK Conventional Bus'
 86982='MACK Bus fr eng'
 86983='MACK Bus rear eng'
 86997='MACK Other Bus'
 86950='MACK Truck Motorhome'
 86998='MACK Other Vehicle'
 86999='MACK Unknown'
 87881='PTRB CBE'
 87882='PTRB COE lo ent'
 87883='PTRB COE hi ent'
 87884='PTRB Unk eng loc'
 87890='PTRB COE Unk ent'
 87898='PTRB Other med/hvy'
 87899='PTRB Unk med/hvy'
 87981='PTRB Conventional Bus'
 87982='PTRB Bus fr eng'
 87983='PTRB Bus rear eng'
 87997='PTRB Other Bus'
 87950='PTRB Truck Motorhome'
 87998='PTRB Other Vehicle'
 87999='PTRB Unknown'
 88881='IVEC CBE'
 88882='IVEC COE lo ent'
 88883='IVEC COE hi ent'
 88884='IVEC Unk eng loc'
 88890='IVEC COE Unk ent'
 88898='IVEC Other med/hvy'
 88899='IVEC Unk med/hvy'
 88981='IVEC Conventional Bus'
 88982='IVEC Bus fr eng'
 88983='IVEC Bus rear eng'
 88997='IVEC Other Bus'
 88950='IVEC Truck Motorhome'
 88998='IVEC Other Vehicle'
 88999='IVEC Unknown'
 98398='Other Automobile'
 98498='Other Light Truck'
 98701='Other MC 0-50cc'
 98702='Other MC 51-124cc'
 98703='Other MC 125-349cc'
 98704='Other MC 350-449cc'
 98705='Other MC 450-749cc'
 98706='Other MC 750cc & over'
 98731='Other ATV 0-50cc'
 98732='Other ATV 51-124cc'
 98733='Other ATV 125-349cc'
 98734='Other ATV 350-449cc'
 98799='Other Motorcycle'
 98801='AUTOCAR'
 98802='AUTO-UNION-DKW'
 98803='DIVCO'
 98804='WESTERN STAR'
 98805='OSHKOSH'
 98881='Other CBE'
 98882='Other COE lo ent'
 98883='Other COE hi ent'
 98884='Other Unk eng loc'
 98890='Other COE Unk ent'
 98898='Other Other med/hvy'
 98901='GRUMMAN Bus'
 98902='NEOPLAN Bus'
 98981='Other Conventional Bus'
 98982='Other Bus fr eng'
 98983='Other Bus rear eng'
 98997='Other Bus'
 98950='Other Truck Motorhome'
 98998='Other Vehicle'
 98999='Other Unknown'
 99399='Unkn Automobile'
 99499='Unkn Light Truck'
 99701='Unkn MC 0-50cc'
 99702='Unkn MC 51-124cc'
 99703='Unkn MC 125-349cc'
 99704='Unkn MC 350-449cc'
 99705='Unkn MC 450-749cc'
 99706='Unkn MC 750cc & over'
 99731='Unkn ATV 0-50cc'
 99732='Unkn ATV 51-124cc'
 99733='Unkn ATV 125-349cc'
 99734='Unkn ATV 350-449cc'
 99799='Unkn Motorcycle'
 99881='Unkn CBE'
 99882='Unkn COE lo ent'
 99883='Unkn COE hi ent'
 99884='Unkn Unk eng loc'
 99890='Unkn COE Unk ent'
 99898='Unkn Other med/hvy'
 99899='Unkn med/hvy'
 99981='Unkn Conventional Bus'
 99982='Unkn Bus fr eng'
 99983='Unkn Bus rear eng'
 99997='Unkn Other Bus'
 99950='Unkn Truck Motorhome'
 99998='Unkn Other Vehicle'
 99999='Unknown Vehicle';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FBODY91F (MIN=3 MAX=22)
    01='Convertible'
    02='2dr Sedan/HT/Coupe'
    03='3dr/2dr Hatchback'
    04='4dr Sedan/HT'
    05='5dr/4dr Hatchback'
    06='Station Wagon'
    07='Hatchback/unk drs'
    08='Other auto'
    09='Unk auto type'
    10='Auto Pickup'
    11='Auto Panel'
    12='Large Limousine'
    13='3-Wheel Auto'
    14='Compact Utility'
    15='Large Utility'
    16='Utility Station Wagon'
    19='Utility Unk Body'
    20='Minivan'
    21='Large Van'
    22='Step Van-Light'
    23='Van Motorhome'
    24='Van Schoolbus'
    25='Van Transitbus'
    28='Other Van type'
    29='Unknown Van type'
    30='Compact Pickup'
    31='Standard Pickup'
    32='Pickup w/Camper'
    33='Convertible Pickup'
    39='Unknown Pickup'
    40='Cab chassis Based'
    41='Truck Based Panel'
    42='Lt Truck Motorhome'
    45='Other Lt Conventional'
    48='Unk Lt Conventional'
    49='Unk Lt Vehicle'
    50='School Bus'
    51='X-country/Intercity'
    52='Transit Bus'
    58='Other Bus'
    59='Unknown Bus'
    60='Step Van-Heavy'
    61='SUT low GVW'
    62='SUT med GVW'
    63='SUT hi GVW'
    64='SUT unk GVW'
    65='Med/Hvy Motorhome'
    66='Truck/Tractor'
    71='Med SUT or Combination'
    72='Hvy SUT or Combination'
    73='Camper or Motorhome'
    78='Unknown Med/Hvy'
    79='Unknown Truck'
    80='Motorcycle'
    81='Moped'
    82='3-wheel MC/Moped'
    83='Offroad Mcycle'
    88='Other Motorcycle'
    89='Unk Motorcycle'
    90='ATV'
    91='Snowmobile'
    92='Farm Equipment'
    93='Constr Equipment'
    97='Other Vehicle'
    99='Unknown Body Type';
*  ';
*      Decodes for States';
*      ------------------';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FREG_ST (MIN=4 MAX=16)
    00='Not Applicable'
    01='Alabama'
    02='Alaska'
    04='Arizona'
    05='Arkansas'
    06='California'
    08='Colorado'
    09='Connecticut'
    10='Delaware'
    11='Dist of Columbia'
    12='Florida'
    13='Georgia'
    15='Hawaii'
    16='Idaho'
    17='Illinois'
    18='Indiana'
    19='Iowa'
    20='Kansas'
    21='Kentucky'
    22='Louisiana'
    23='Maine'
    24='Maryland'
    25='Massachusetts'
    26='Michigan'
    27='Minnesota'
    28='Mississippi'
    29='Missouri'
    30='Montana'
    31='Nebraska'
    32='Nevada'
    33='New Hampshire'
    34='New Jersey'
    35='New Mexico'
    36='New York'
    37='North Carolina'
    38='North Dakota'
    39='Ohio'
    40='Oklahoma'
    41='Oregon'
    42='Pennsylvania'
    43='Puerto Rico'
    44='Rhode Island'
    45='South Carolina'
    46='South Dakota'
    47='Tennessee'
    48='Texas'
    49='Utah'
    50='Vermont'
    51='Virginia'
    52='Virgin Islands'
    53='Washington'
    54='West Virginia'
    55='Wisconsin'
    56='Wyoming'
    92='No Registration'
    93='Multi-In State'
    94='Multi-Out State'
    95='US Government'
    96='Military'
    97='Foreign Country'
    98='Other'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FROWNER (MIN=7 MAX=16)
     0='N/A, Not Regist'
     1='Driver Owner'
     2='Driver Not Owner'
     3='Business or Govt'
     4='Rental'
     5='Stolen'
     6='Driverless'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FROLL (MIN=7 MAX=16)
     0='No Rollover'
     1='First Event'
     2='Subsequent Event';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FTSPEED (MIN=7 MAX=16)
    00='Stopped Vehicle'
    01='1mph'
    02='2mph'
    03='3mph'
    04='4mph'
    05='5mph'
    06='6mph'
    07='7mph'
    08='8mph'
    09='9mph'
    10='10mph'
    11='11mph'
    12='12mph'
    13='13mph'
    14='14mph'
    15='15mph'
    16='16mph'
    17='17mph'
    18='18mph'
    19='19mph'
    20='20mph'
    21='21mph'
    22='22mph'
    23='23mph'
    24='24mph'
    25='25mph'
    26='26mph'
    27='27mph'
    28='28mph'
    29='29mph'
    30='30mph'
    31='31mph'
    32='32mph'
    33='33mph'
    34='34mph'
    35='35mph'
    36='36mph'
    37='37mph'
    38='38mph'
    39='39mph'
    40='40mph'
    41='41mph'
    42='42mph'
    43='43mph'
    44='44mph'
    45='45mph'
    46='46mph'
    47='47mph'
    48='48mph'
    49='49mph'
    50='50mph'
    51='51mph'
    52='52mph'
    53='53mph'
    54='54mph'
    55='55mph'
    56='56mph'
    57='57mph'
    58='58mph'
    59='59mph'
    60='60mph'
    61='61mph'
    62='62mph'
    63='63mph'
    64='64mph'
    65='65mph'
    66='66mph'
    67='67mph'
    68='68mph'
    69='69mph'
    70='70mph'
    71='71mph'
    72='72mph'
    73='73mph'
    74='74mph'
    75='75mph'
    76='76mph'
    77='77mph'
    78='78mph'
    79='79mph'
    80='80mph'
    81='81mph'
    82='82mph'
    83='83mph'
    84='84mph'
    85='85mph'
    86='86mph'
    87='87mph'
    88='88mph'
    89='89mph'
    90='90mph'
    91='91mph'
    92='92mph'
    93='93mph'
    94='94mph'
    95='95mph'
    96='96mph'
    97='97mph or Greater'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FHAZ (MIN=2 MAX=16)
     0='No'
     1='Yes, Placard'
     2='Yes, No Placard'
     3='Yes, Unk Placard'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FVTOW87F (MIN=2 MAX=13)
     0='No'
     1='Yes/1 Unit'
     2='Yes/2 Units'
     3='Yes/3+ Units'
     4='Yes/Unk Units'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FSPECIAL (MIN=4 MAX=14)
     0='No Special Use'
     1='Taxi'
     2='School Bus'
     3='Other Bus'
     4='Military'
     5='Police'
     6='Ambulance'
     7='Firetruck'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FJK82F (MIN=2 MAX=16)
     0='Not Articulated'
     1='No'
     2='First Event'
     3='Subsequent Event';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FVCONFIG (MIN=3 MAX=16)
     0='Not Applicable'
     1='SUT: 2axle/6tire'
     2='SUT: 3+ axles'
     3='Truck/Trailer(s)'
     4='Truck Tractor'
     5='Tractor/Semi'
     6='Heavy Truck'
     7='Bus'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FAXLES  (MIN=3 MAX=16)
    00='Not Applicable'
    98='Heavy Tr/Bus Unk'
    99='Type Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FCARGOBT  (MIN=3 MAX=16)
    00='Not Applicable'
    01='Van/Enclosed Box'
    02='Cargo Tank'
    03='Flatbed'
    04='Dump'
    05='Concrete Mixer'
    06='Auto Transporter'
    07='Garbage/Refuse'
    08='Other Truck Body'
    09='Bus'
    99='Unknown Type';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FYESNO  (MIN=2 MAX=7)
     0='No'
     1='Yes'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FIMPACTA (MIN=3 MAX=14)
    00='Non collision'
    01='Clock 1'
    02='Clock 2'
    03='Clock 3'
    04='Clock 4'
    05='Clock 5'
    06='Clock 6'
    07='Clock 7'
    08='Clock 8'
    09='Clock 9'
    10='Clock 10'
    11='Clock 11'
    12='Clock 12'
    13='Top'
    14='Undercarriage'
    15='Underride'
    16='Override'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FURIDE (MIN=7 MAX=20)
     0='No Under/Override'
     1='URide-Compartment'
     2='URide-No Intrus'
     3='URide-Intrus Unk'
     4='URide-Oth Veh,Intr'
     5='URide-Oth Veh,No Intr'
     6='URide-Oth Veh,Unk'
     7='ORide-MV in Tran'
     8='ORide-Oth Veh'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FEDEFORM (MIN=7 MAX=11)
     0='None'
     2='Other-Minor'
     4='Functional'
     6='Disabling'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FIMPAC (MIN=4 MAX=13)
     0='Non Collision'
     1='Striking'
     2='Struck'
     3='Both'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FTOW82F (MIN=6 MAX=10)
     1='Driven'
     2='Towed Away'
     3='Abandoned'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FFIRE (MIN=7 MAX=11)
     0='No Fire'
     1='Fire in Veh';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FV_MAN (MIN=5 MAX=16)
    01='Going Straight'
    02='Slowing/Stopping'
    03='Starting in Lane'
    04='Stopped in Lane'
    05='Passing'
    06='Leave Parking'
    07='Parked'
    08='Enter Parking'
    09='Avoid Animal,etc'
    10='RTOR:Permitted'
    11='RTOR:not Legal'
    12='RTOR:not Known'
    13='Left Turn'
    14='U-turn'
    15='Backing up'
    16='Changing Lanes'
    17='Negotiate Curve'
    98='Other'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FCAVOID (MIN=5 MAX=16)
     0='No Maneuver'
     1='Braking-Marks'
     2='Braking-No Marks'
     3='Braking-Other'
     4='Steering'
     5='Steer & Braking'
     6='Other'
     8='Not Reported';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FVRF (MIN=4 MAX=16)
    00='None'
    01='Tires'
    02='Brake System'
    03='Steering'
    04='Suspension'
    05='Power Train'
    06='Exhaust System'
    07='Headlights'
    08='Signals'
    09='Other Lights'
    10='Horn'
    11='Mirrors'
    12='Wipers'
    13='Driver Seating'
    14='Body,Doors,Other'
    15='Trailer Hitch'
    16='Wheels'
    18='Other'
    31='Hit & Run'
    32='Handicapped'
    33='Pushed by Ped'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FDRIVER (MIN=7 MAX=15)
     1='Driver Operated'
     2='Driverless'
     3='Left Scene'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FDRIVEDR (MIN=7 MAX=11)
     0='No Drinking'
     1='Drinking'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FLST87F (MIN=7 MAX=20)
     0='Not Licensed'
     1='Suspended'
     2='Revoked'
     3='Expired'
     4='Cancelled/Denied'
     5='Single Class License'
     6='Multi Class Lic'
     7='Learner''s Permit'
     8='Temporary'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FLST93F (MIN=7 MAX=20)
     0='Not Licensed'
     1='Suspended'
     2='Revoked'
     3='Expired'
     4='Cancelled/Denied'
     6='Valid'
     7='Learner''s Permit'
     8='Temporary'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FCOM87F (MIN=7 MAX=12)
     0='Not Licensed'
     1='Not Required'
     2='Not Valid'
     3='Valid'
     8='Unknown if CDL'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FCDL (MIN=7 MAX=16)
     0='No CDL-Not Req'
     1='No CDL-Required'
     2='No CDL-Req Unk'
     3='CDL-Not Required'
     4='CDL-Required'
     5='CDL-Req Unknown'
     6='Unk CDL-Not Req'
     7='Unk CDL-Required'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FCDL93F (MIN=7 MAX=16)
     0='No (CDL)'
     1='Suspended'
     2='Revoked'
     3='Expired'
     4='Cancelled/Denied'
     5='Disqualified'
     6='Valid'
     7='Learner''s Permit'
     8='Other-Not Valid'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FEND91F (MIN=7 MAX=15)
     0='No Endorsements'
     1='Complied'
     2='Not Complied'
     3='Compliance Unk'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FLREST (MIN=7 MAX=15)
     0='No Restrict,N/A'
     1='Complied'
     2='Not Complied'
     3='Compliance Unk'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FVCHG82F (MIN=4 MAX=16)
   0='None'
     1='Alcohol or Drugs'
     2='Speeding'
     3='Alc or Drugs-Spd'
     4='Reckless Driving'
     5='Suspend/Revoked'
     6='Other Moving'
     7='Non-moving'
     8='Unknown or Other'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FACMONTH (MIN=3 MAX=14)
    00='Not applicable'
    01='January'
    02='February'
    03='March'
    04='April'
    05='May'
    06='June'
    07='July'
    08='August'
    09='September'
    10='October'
    11='November'
    12='December'
    99='Unknown';
*                                    ';
*  Decodes for FARS Person Level Data';
*  ----------------------------------';
*                            ';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FNONMOT (MIN=7 MAX=16)
    00='Vehicle Occupant'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FSEXX (MIN=4 MAX=7)
     1='Male'
     2='Female'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FPTYP82F (MIN=6 MAX=24)
     1='Driver'
     2='Passenger'
     3='Occ Veh/not in Trnsp'
     4='Occ non-Motor Veh Trnsp'
     5='Pedestrian'
     6='Bicyclist'
     7='Other Cyclist'
     8='Othr/Unk non-Occ'
     9='Unk Occ in Veh/Transport';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FPTYP94F (MIN=6 MAX=21)
    01='Driver'
    02='Passenger'
    03='Occ MV not in Tran'
    04='Occ non-MV in Tran'
    05='Pedestrian'
    06='Bicyclist'
    07='Other Cyclist'
    08='Othr/Unk Ped'
    09='Unk Occ in MV in Tran'
    19='Unk Non-Motorist'
    99='Unk Person Type';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FRESTUSE (MIN=7 MAX=17)
     0='None used or N/A'
     1='Shoulder Belt'
     2='Lap Belt'
     3='Lap and Shoulder'
     4='Child Safety Seat'
     5='M-cycle Helmet'
     8='Used, Unk/Other'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FRUSE94F (MIN=7 MAX=17)
    00='None used or N/A'
    01='Shoulder Belt'
    02='Lap Belt'
    03='Lap and Shoulder'
    04='Child Safety Seat'
    05='M-cycle Helmet'
    06='B-cycle Helmet'
    08='Used, Type Unk'
    13='Belt use Improper'
    14='Seat use Improper'
    15='Helm use Improper'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FAIRBAG (MIN=7 MAX=14)
     0='Non-Motorist'
     3='Deployed'
     4='Non-Deployed'
     9='Unknown or N/A';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FEJECT (MIN=7 MAX=15)
     0='Not Eject, N/A'
     1='Totally Ejected'
     2='Partial Eject'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FEPATH  (MIN=7 MAX=16)
     0='Not Ejected: N/A'
     1='Side Door'
     2='Side Window'
     3='Windshield'
     4='Back Window'
     5='Back Door'
     6='Roof Opening'
     7='Roof-Convertible'
     8='Other Path'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FINJURY (MIN=2 MAX=14)
     0='No'
     1='Possible'
     2='Non Incapacity'
     3='Incapacitating'
     4='Fatal Injury'
     5='Inj, Sev Unk'
     6='Died Prior to'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FPLOC82F  (MIN=7  MAX=16)
    00='Vehicle Occupant'
    01='Int:Crosswalk'
    02='Int:Rd/Not Xwalk'
    03='Int:Rd/No Xwalk'
    04='Int:Rd/Xwalk Unk'
    05='Int:Not on Rd'
    09='Intersection Unk'
    10='Non-I:Crosswalk'
    11='Non-I:Roadway'
    12='NonI:Rd/No Xwalk'
    13='NonI:Rd/Xwlk Unk'
    14='NonI:Park Lane'
    15='NonI:On Shoulder'
    16='NonI:Bike Path'
    17='NonI:Not Trfway'
    18='NonI:Oth/not Rd'
    19='NonI:Unknown'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FSEAT82F (MIN=7  MAX=16)
    00='Non-Motorist'
    11='Front Seat-left'
    12='Front Seat-mid'
    13='Front Seat-right'
    18='Front Seat-other'
    19='Front Seat-unk'
    21='2nd Seat-left'
    22='2nd Seat-middle'
    23='2nd Seat-right'
    28='2nd Seat-other'
    29='2nd Seat-unk'
    31='3rd Seat-left'
    32='3rd Seat-middle'
    33='3rd Seat-right'
    38='3rd Seat-other'
    39='3rd Seat-unk'
    41='4th Seat-left'
    42='4th Seat-middle'
    43='4th Seat-right'
    48='4th Seat-other'
    49='4th Seat-unk'
    50='Cab Sleeper'
    51='Other Enclosed'
    52='Other Unenclosed'
    53='Other Unknown'
    54='Trailing Unit'
    55='Veh Exterior'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FDRINK (MIN=7 MAX=12)
     0='No Alcohol'
     1='Yes Alcohol'
     8='Not Reported'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FT_RES (MIN=7 MAX=16)
    01='.01'
    02='.02'
    03='.03'
    04='.04'
    05='.05'
    06='.06'
    07='.07'
    08='.08'
    09='.09'
    10='.10'
    11='.11'
    12='.12'
    13='.13'
    14='.14'
    15='.15'
    16='.16'
    17='.17'
    18='.18'
    19='.19'
    20='.20'
    21='.21'
    22='.22'
    23='.23'
    24='.24'
    25='.25'
    26='.26'
    27='.27'
    28='.28'
    29='.29'
    30='.30'
    31='.31'
    32='.32'
    33='.33'
    34='.34'
    35='.35'
    36='.36'
    37='.37'
    38='.38'
    39='.39'
    40='.40'
    41='.41'
    42='.42'
    43='.43'
    44='.44'
    45='.45'
    46='.46'
    47='.47'
    48='.48'
    49='.49'
    50='.50'
    51='.51'
    52='.52'
    53='.53'
    54='.54'
    55='.55'
    56='.56'
    57='.57'
    58='.58'
    59='.59'
    60='.60'
    61='.61'
    62='.62'
    63='.63'
    64='.64'
    65='.65'
    66='.66'
    67='.67'
    68='.68'
    69='.69'
    70='.70'
    71='.71'
    72='.72'
    73='.73'
    74='.74'
    75='.75'
    76='.76'
    77='.77'
    78='.78'
    79='.79'
    80='.80'
    81='.81'
    82='.82'
    83='.83'
    84='.84'
    85='.85'
    86='.86'
    87='.87'
    88='.88'
    89='.89'
    90='.90'
    91='.91'
    92='.92'
    93='.93'
    94='.94'
    95='Test Refused'
    96='None Given'
    97='Given-Result Unk'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FEXTR (MIN=7 MAX=14)
     0='Not Extricated'
     1='Extricated'
     9='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FALC_D (MIN=7 MAX=22)
     1='Evidential Test'
     2='Prelim Breath Test'
     3='Behavioral Alcohol'
     4='Passive Alcohol Sensor'
     5='Observed'
     8='Other'
     9='Not Reported';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FDRUGS (MIN=8 MAX=16)
     0='No Drugs'
     1='Drugs Involved'
     8='Not Reported'
     9='Reported Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FDRUGDET (MIN=10 MAX=15)
     1='Evidential Test'
     2='DRT Determined'
     3='Behavioral'
     7='Other'
     8='Not Reported';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FDR_TEST (MIN=10 MAX=14)
     0='Not Tested'
     1='Blood Test'
     2='Urine Test'
     3='Blood & Urine'
     7='Unknown Type'
     8='Other Test'
     9='Unk if Tested';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FDRUGRES (MIN=8 MAX=15)
   00='Not Tested'
   01='Not Reported'
   02='Narcotic'
   03='Depressant'
   04='Stimulant'
   05='Hallucinogen'
   06='Cannabinoid'
   07='Phencylidine'
   08='Inhalent'
   09='Multiple Drugs'
   10='Other Drugs'
   97='Results Unknown'
   98='Type Unknown'
   99='Tested Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FARF82F (MIN=4 MAX=24)
    00='None'
    01='Exit Warning/Lane Narrow'
    02='Shoulder Related'
    03='Other Construction'
    04='No/Obscure Marking'
    05='Surface Underwater'
    06='Inadequate Road/Bridge'
    07='Surface Washed Out'
    14='Fallen Cargo-MV'
    15='Fallen Cargo-Ped'
    16='Ped Struck Veh'
    17='NonDriver Moved Veh'
    18='EMS Date After Acc'
    19='Nearby Accident'
    20='Police Pursuit'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT;  VALUE FDRF82F (MIN=4 MAX=16)
    00='None'
    01='Drowsy, Asleep'
    02='Ill, Blackout'
    03='Emotional'
    04='Drugs-Medication'
    05='Other Drugs'
    06='Inattentive'
    07='Wheelchair'
    08='Paraplegic'
    09='Previous Injury'
    10='Deaf'
    11='Other Physical'
    12='Dead Fetus'
    19='Invalid License'
    20='Veh Unattended'
    21='Improper Loading'
    22='Improper Towing'
    23='Improper Lights'
    24='W/O Req Equip'
    25='Unlawfull Noise'
    26='Improper Tailing'
    27='Impr Lane Change'
    28='Run Off Rd/Lane'
    29='Driving Shoulder'
    30='Imp Entry/Exit'
    31='Impr Start/Back'
    32='Open Veh Closure'
    33='Prohibited Pass'
    34='Pass Wrong Side'
    35='Pass Insuff Dist'
    36='Erratic/Reckless'
    37='High Speed Chase'
    38='Failure to Yield'
    39='Failure to Obey'
    40='Around Barrier'
    41='Fail to Obs Warn'
    42='Fail to Signal'
    43='Wrong Signal'
    44='Driving too Fast'
    45='Under Min Speed'
    46='Speed Changes'
    47='Wrong Lane Turn'
    48='Othr Improp Turn'
    49='Phys Rest comply'
    50='Wrong Way'
    51='Wrong Side of Rd'
    52='Op Inexperience'
    53='Unfamiliar w/Rd'
    54='Stopping in Rd'
    55='Underride Truck'
    56='Low Tire Pressur'
    57='Locked Wheel'
    58='Over Correcting'
    59='On/Off Mov Veh'
    60='On/Off Stop Veh'
    61='Weather'
    62='Glare'
    63='Curve,Hill,etc'
    64='Bldg,Billboard'
    65='Tree,Plants'
    66='Moving Vehicle'
    67='Parked Vehicle'
    68='Splash,Spray'
    69='Inadeq Defroster'
    70='Inadeq Lights'
    71='Obstruct Angles'
    72='Rear Mirrors'
    73='Other Mirror'
    74='Head Restraints'
    75='Impr Windshield'
    76='Other Obstruct'
    77='Crosswind'
    78='Truck Wind'
    79='Slippery Surface'
    80='Flat Tire'
    81='Debris in Road'
    82='Rut in Road'
    83='Animal'
    84='Vehicle in Road'
    85='Phantom Vehicle'
    86='Pedestrian'
    87='Water,Snow,Oil'
    89='Haul Hazmat Impr'
    90='Hit and Run'
    91='Homocide'
    92='Other Violation'
    93='Cellular Phone'
    94='Fax Machine'
    95='Computer'
    96='Navigation Sys'
    97='2-Way Radio'
    98='Head-up Display'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FPRF82F (MIN=6 MAX=16)
    00='None, N/A'
    01='Not Visible'
    02='Dart/Run into Rd'
    03='Improp Crossing'
    04='Walk, etc in Rd'
    05='Interfer Driver'
    06='Ill/Blackout'
    07='Emotional'
    10='Inattentive'
    11='Cane/Crutch'
    12='Wheelchair'
    13='Paraplegic'
    14='Previous Injury'
    15='Deaf'
    16='Blind'
    17='Other Physical'
    18='Dead Fetus'
    19='Jogging'
    20='Veh Unattended'
    21='Improper Loading'
    22='Improper Towing'
    23='Improper Lights'
    24='W/O Req''d Equip'
    25='Unlawful Noise'
    26='Impr Following'
    27='Impr Lane Change'
    28='Run off Rd/Lane'
    29='Driving off Road'
    30='Imp Entry/Exit'
    33='Prohibited Pass'
    34='Pass Wrong Side'
    35='Pass Insuff Dist'
    36='Erratic/Reckless'
    38='Failure to Yield'
    39='Failure to Obey'
    40='Around Barrier'
    41='Fail to Obs Warn'
    42='Fail to Signal'
    43='Wrong Signal'
    44='Driving Too Fast'
    45='Under Min Speed'
    46='Speed Changes'
    48='Other Impr Turn'
    49='Wrong Way'
    50='Wrong Side of Rd'
    51='Op Inexperience'
    52='Unfamiliar w/Rd'
    53='Stopped in Road'
    54='Underride Truck'
    55='On/Off Mov Veh'
    56='On/Off Stop Veh'
    60='Weather'
    61='Glare'
    62='Curve/hill'
    63='Bldg,billboard'
    64='Trees,plants'
    65='Moving vehicle'
    66='Parked vehicle'
    67='Splash,spray'
    68='Poor light'
    69='Obstruct Angles'
    70='Rear Mirrors'
    71='Other Mirrors'
    72='Oth Obstruction'
    73='Crosswind'
    74='Wind from Veh'
    75='Slippery Surface'
    76='Flat Tire'
    77='Debris in Road'
    78='Rut,Hole,Bump'
    79='Animal'
    80='Vehicle in Road'
    81='Phantom Vehicle'
    82='Pedestrian'
    83='Water,Snow,Oil'
    84='Jaywalking'
    85='Jog'
    90='Pushed by Ped'
    99='Unknown';
PROC FORMAT LIBRARY=LIBRARY PRINT; VALUE FWORKINJ (MIN=7 MAX=15)
     0='No'
     1='Yes'
     8='Not applicable'
     9='Unknown';
RUN;
